package app

import (
	"github.com/urfave/cli/v2"
)

// AppCommand defines the `abra app` command and ets subcommands
var AppCommand = &cli.Command{
	Name:      "app",
	Usage:     "Manage apps",
	Aliases:   []string{"a"},
	ArgsUsage: "<app>",
	Description: `
This command provides all the functionality you need to manage the life cycle
of your apps. From initial deployment, day-2 operations (e.g. backup/restore)
to scaling apps up and spinning them down.
`,
	Subcommands: []*cli.Command{
		appNewCommand,
		appConfigCommand,
		appDeployCommand,
		appUpgradeCommand,
		appUndeployCommand,
		appBackupCommand,
		appRestoreCommand,
		appRemoveCommand,
		appCheckCommand,
		appListCommand,
		appPsCommand,
		appLogsCommand,
		appCpCommand,
		appRunCommand,
		appRollbackCommand,
		appSecretCommand,
		appVolumeCommand,
		appVersionCommand,
	},
}
